import React from "react";
import "@testing-library/jest-dom";
import { render } from "@testing-library/react-native";
import { AtomLoading } from "./index";

describe("[Native] AtomLoading", () => {
  it("Render AtomLoading mock change", () => {
    const component = render(<AtomLoading />);
    const element = component.getByTestId("loading-container");
    expect(element.props.style[0].backgroundColor).toEqual(
      "rgba(20, 20, 20, 0.5)"
    );
  });
  it("Render AtomLoading mock change transparent", () => {
    const component = render(<AtomLoading transparent={true} />);
    const element = component.getByTestId("loading-container");
    expect(element.props.style[0].backgroundColor).toEqual("transparent");
  });
});
